Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000310 [Piwigo] display minor N/A 2006.03.19 23:25 2006.05.08 11:38
Reporter rub View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version BSF branch (dev) Product Version BSF branch (dev)
  Target Version Product Build
Summary 0000310: Pouvoir avoir des fichiers locaux pour les css.
Description Pouvoir avoir des fichiers locaux pour les css.
  o permettre l'utilisation de local-layout.css dans le répertoire template-common
  o permettre l'utilisation de local-layout.css dans les répertoires template\#template_name
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000723)
rvelices (developer)
2006.04.07 01:42

Petit probleme: la regle @import dans template-common/default-layout.css est ignoree par FF car @import doit preceder tout autre regle ( voir http://www.w3.org/TR/REC-CSS2/cascade.html#at-import [^] ).
Donc soit on vire cet @import, soit on le deplace dans le header.tpl
(0000724)
rub (developer)
2006.04.07 06:46

Je ne comprends pas. Les nouveaux imports (et les autres) sont bien avant les définitions des regles.

En plus, j'ai fais mes tests avec FF et j'ai pas de soucis.

Tu peux préciser plus ce qui va pas rapport à la 1.6?
(0000727)
rvelices (developer)
2006.04.07 14:22

J'ai ete un peu rapide et j'ai oublie l'exemple (en general je suis le premier a me facher sur les gens qui disent ca ne marche pas sans expliquer plus).

En fait si je mets dans template-common/local-layout.css le code:
#content UL.thumbnails SPAN.wrap2 {
  height: 200px; /* max thumbnail height + 2px */
}

Rien ne change (Tout fonctionne avec 140 px tq template-common/default-layout.css).

P.S: Je ne peux pas tester en ce moment, j'espere que je n'ai pas fait une erreur de manip.
(0000729)
rub (developer)
2006.04.07 18:06

Ok, j'ai vu le soucis, c'est le default-layout.css que j'avais mis à la fin pour être sur de surcharger mais ca marche pas...
J'étais aussi enbeter par le chemin relatif car une fois que c'est fait, on se retrouve au niveau du fichier appelant.

En fait pour bien gérer le tout, il faut, je pense passer par un fichier global contenant uniquement les @import ce qui permettra de faire les overrides avant et après (avant=template-common et après=yoga].

Je vais faire les modifs qui vont bien.
(0000730)
VDigital (reporter)
2006.04.08 08:50

Dans les templates yoga/dark par exemple, vous devez livrer:


@import "../../template-common/local-layout.css";
@import "menubar.css";
@import "content.css";
@import "image.css";
@import "popuphelp.css";
@import "../../template-common/default-layout.css";


Si template-common/local-layout.css n'existe pas : pas de surcharge.
Si template-common/local-layout.css existe les surcharges se feront dans les règles de prise en compte de chaque navigateur.
Chrisaga vous confirmera sans doute.
8-)
(0000731)
rub (developer)
2006.04.08 11:30

Ca ne marche pas à cause du @import "../../template-common/local-layout.css"; en premier qui va se positionner sur le répertoire template-common et par conséquent les autres css ne seront lu. (c'est ce qui me semblait lors des devs).

Je propose plus de faire un layout.css qui appellera tous les css (y compris le default-layout.css et local-layout.css).

- Issue History
Date Modified Username Field Change
2006.03.19 23:25 rub New Issue
2006.03.19 23:25 rub Status new => assigned
2006.03.19 23:25 rub Assigned To => rub
2006.03.19 23:25 rub browser => any
2006.03.19 23:25 rub Web server => Apache 1.3.x
2006.03.28 22:59 rub Status assigned => resolved
2006.03.28 22:59 rub Fixed in Version => BSF branch (dev)
2006.03.28 22:59 rub Resolution open => fixed
2006.04.07 01:42 rvelices Status resolved => feedback
2006.04.07 01:42 rvelices Resolution fixed => reopened
2006.04.07 01:42 rvelices Note Added: 0000723
2006.04.07 06:46 rub Note Added: 0000724
2006.04.07 14:22 rvelices Note Added: 0000727
2006.04.07 18:06 rub Note Added: 0000729
2006.04.08 08:50 VDigital Note Added: 0000730
2006.04.08 11:30 rub Note Added: 0000731
2006.04.09 22:35 rub Status feedback => resolved
2006.04.09 22:35 rub Resolution reopened => fixed
2006.05.08 11:38 rub Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker